@import "../../colors.scss";

.main {
  position: relative;
  box-sizing: border-box;
  display: flex;
  align-items: center;

  button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    outline: none;
  }

  .dots {
    height: 15px;
    width: auto;
    fill: $white;
    cursor: pointer;

    &:hover {
      fill: $green;
    }
  }
}

.opened {
  fill: $green !important;
}

.dropdown {
  right: calc(100% - 15px);
  top: 20px;
  position: absolute;
  background-color: $accent;
  min-width: 2rem;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 10;
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  row-gap: 0.2rem;
  align-items: flex-start;

  button {
    display: flex;
    background-color: transparent;
    border: none;
    color: $white;
    font-family: "JetBrainsMono-Regular", monospace;
    font-size: 0.9rem;
    cursor: pointer;
    width: max-content;

    &:hover {
      color: $green;
    }
  }
}
